Bug 1016715 - Installation doesn't always shutdown cleanly when installing KVM guest
Installation doesn't always shutdown cleanly when installing KVM guest
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
20
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-08 10:55 EDT by Alexander Todorov
Modified: 2013-11-05 19:47 EST (History)
28 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-05 19:32:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Todorov 2013-10-08 10:55:02 EDT
Description of problem:

After installing F20 Beta TC2 and going forward to reboot into the newly installed system it doesn't always reboot/shutdown cleanly. Sometimes it appears to have stopped all services in the installer environment but doesn't reboot.


Version-Release number of selected component (if applicable):
anaconda-20.22-1.fc20.x86_64.rpm  

How reproducible:
from time to time

Steps to Reproduce:
0. On the host I have a latest Fedora 20 snapshot with
virt-manager-0.10.0-4.git79196cdf.fc20.noarch
libvirt-1.1.3-2.fc20.x86_64
qemu-kvm-1.6.0-9.fc20.x86_64

1. Perform a default install using DVD ISO and the virt-manager wizard
2. After install is complete click the Reboot button inside anaconda


Actual results:
Systems doesn't always reboot.



Expected results:
System reboots


Additional info:
Comment 1 Dusty Mabe 2013-10-08 16:12:33 EDT
I also had to uncleanly shutdown guests a few times. My setup was a bit odd though: nested virt with F19(L0) F20(L1) F20(L2). I was informed that F19 kernels with nested virt have issues so that may explain the problems i was having.
Comment 2 Chris Murphy 2013-10-16 02:47:47 EDT
I'm experiencing this still with 3.11.4-302 on F20 beta TC4. I don't think this is against anaconda however, but I'm not sure which component. Maybe qemu or libvirt.
Comment 3 Vratislav Podzimek 2013-10-17 07:25:15 EDT
(In reply to Chris Murphy from comment #2)
> I'm experiencing this still with 3.11.4-302 on F20 beta TC4. I don't think
> this is against anaconda however, but I'm not sure which component. Maybe
> qemu or libvirt.
Or systemd. Anaconda just calls 'systemctl --no-wall reboot' which should reboot the system.
Comment 4 Cole Robinson 2013-11-05 19:32:20 EST
I was reproducing this at the time this was filed, but seems to work for me now. If anyone can still reproduce, please reopen.
Comment 5 Chris Murphy 2013-11-05 19:47:58 EST
I'm getting soft lockups only in qemu/kvm reboot and poweroff even when forced which doesn't seem like it would be a systemd bug. Filed bug 1026142.

Note You need to log in before you can comment on or make changes to this bug.